org.apache.commons.math3.optimization.univariate

## Class UnivariatePointValuePair

- java.lang.Object
- - org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  As of 3.1 (to be removed in 4.0).

      @Deprecated
      public class UnivariatePointValuePair
      extends java.lang.Object
      implements java.io.Serializable

  This class holds a point and the value of an objective function at this point. This is a simple immutable container.
  Since:
    3.0
  Version:
    $Id: UnivariatePointValuePair.java 1422230 2012-12-15 12:11:13Z erans $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `point` Deprecated. Point.
    `private static long` | `serialVersionUID` Deprecated. Serializable version identifier.
    `private double` | `value` Deprecated. Value of the objective function at the point.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnivariatePointValuePair(double point, double value)` Deprecated. Build a point/objective function value pair.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getPoint()` Deprecated. Get the point.
    `double` | `getValue()` Deprecated. Get the value of the objective function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Deprecated.
      Serializable version identifier.
      See Also:
        Constant Field Values

    - #### point

          private final double point

      Deprecated.
      Point.

    - #### value

          private final double value

      Deprecated.
      Value of the objective function at the point.

  - ### Constructor Detail

    - #### UnivariatePointValuePair

          public UnivariatePointValuePair(double point,
                                  double value)

      Deprecated.
      Build a point/objective function value pair.
      Parameters:
        `point` - Point.
        `value` - Value of an objective function at the point

  - ### Method Detail

    - #### getPoint

          public double getPoint()

      Deprecated.
      Get the point.
      Returns:
        the point.

    - #### getValue

          public double getValue()

      Deprecated.
      Get the value of the objective function.
      Returns:
        the stored value of the objective function.

Copyright (c) 2003-2013 Apache Software Foundation